# Enum Class VulkanStencilFaceFlag

java.lang.Object
java.lang.Enum<VulkanStencilFaceFlag>
com.io7m.jcoronado.api.VulkanStencilFaceFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanStencilFaceFlag>`, `Constable`

public enum VulkanStencilFaceFlag extends Enum<VulkanStencilFaceFlag> implements VulkanEnumBitmaskType

See Also:
  - "VkStencilFaceFlags"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_STENCIL_FACE_BACK_BIT`
  Specifies that only the back set of stencil state is updated.
  `VK_STENCIL_FACE_FRONT_BIT`
  Specifies that only the front set of stencil state is updated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanStencilFaceFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanStencilFaceFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_STENCIL_FACE_FRONT_BIT

    public static final VulkanStencilFaceFlag VK_STENCIL_FACE_FRONT_BIT
    Specifies that only the front set of stencil state is updated.

  - ### VK_STENCIL_FACE_BACK_BIT

    public static final VulkanStencilFaceFlag VK_STENCIL_FACE_BACK_BIT
    Specifies that only the back set of stencil state is updated.

- ## Method Details

  - ### values

    public static VulkanStencilFaceFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanStencilFaceFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant